Bug 468927 - Describe new Encryption feature in release notes for 5.3
Describe new Encryption feature in release notes for 5.3
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: redhat-release-notes (Show other bugs)
5.3
All Linux
high Severity urgent
: rc
: ---
Assigned To: Ryan Lerch
Joshua Wulf
: Documentation
Depends On:
Blocks: RHEL5u3_relnotes
  Show dependency treegraph
 
Reported: 2008-10-28 17:44 EDT by Denise Dumas
Modified: 2014-10-19 18:56 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Red Hat Enterprise Linux 5.3 includes support for block device encryption using the Linux Unified Key Setup (LUKS) specification. Encrypting a device protects all data on a block device against unauthorized access, even if the device has been physically removed from a system. To access the contents of an encrypted device, a user must provide a passphrase or key as authentication. For information on setting up disk encryption, refer to the Red Hat Enterprise Linux Installation Guide: [correct link here]
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-23 20:28:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Denise Dumas 2008-10-28 17:44:55 EDT
Description of problem:  we need to describe the new disk encryption feature in the release notes. Doc BZ already exists to add the description to the Install guide, but we need to call attention to it. Ryan, please call if questions! 

Addition to Release Notes in 
Feature Updates or Installation section ...

This release includes support for block device encryption during installation, which protects all data on a block device against unauthorized access by encrypting it. To access the device's decrypted contents, a user must provide a passphrase or key as authentication. This provides additional security beyond existing OS security mechanisms in that it protects the device's contents even if it has been physically removed from the system.
For more information on this feature, see
http://fedoraproject.org/wiki/Docs/Drafts/DiskEncryptionUserGuide




Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ryan Lerch 2008-10-28 17:58:59 EDT
Is there a BZ for this particular RFE?
Comment 2 Denise Dumas 2008-10-29 13:17:33 EDT
Hi Ryan,

We entered encryption under 229865.
Denise
Comment 3 Denise Dumas 2008-11-17 09:02:07 EST
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
Addition to Release Notes in 
Feature Updates or Installation section ...

This release includes support for block device encryption during installation,
which protects all data on a block device against unauthorized access by
encrypting it. To access the device's decrypted contents, a user must provide a
passphrase or key as authentication. This provides additional security beyond
existing OS security mechanisms in that it protects the device's contents even
if it has been physically removed from the system.
For more information on this feature, see
http://fedoraproject.org/wiki/Docs/Drafts/DiskEncryptionUserGuide
Comment 4 Denise Dumas 2008-11-17 09:21:32 EST
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -8,4 +8,5 @@
 existing OS security mechanisms in that it protects the device's contents even
 if it has been physically removed from the system.
 For more information on this feature, see
-http://fedoraproject.org/wiki/Docs/Drafts/DiskEncryptionUserGuide+http://documentation-stage.bne.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/5/html/Installation_Guide/Disk_Encryption_Guide.html
+(Ryan, could you please verify that this is the correct final link? Thanks!)
Comment 7 Ryan Lerch 2008-11-17 16:05:04 EST
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1,12 +1,4 @@
-Addition to Release Notes in 
-Feature Updates or Installation section ...
+Red Hat Enterprise Linux 5.3 includes support for block device encryption using the Linux Unified Key Setup (LUKS) specification. Encrypting a device protects all data on a block device against unauthorized access, even if the device has been physically removed from a system. To access the contents of an encrypted device, a user must provide a passphrase or key as authentication.
 
-This release includes support for block device encryption during installation,
+For information on setting up disk encryption, refer to the Red Hat Enterprise Linux Installation Guide:
-which protects all data on a block device against unauthorized access by
+[correct link here]-encrypting it. To access the device's decrypted contents, a user must provide a
-passphrase or key as authentication. This provides additional security beyond
-existing OS security mechanisms in that it protects the device's contents even
-if it has been physically removed from the system.
-For more information on this feature, see
-http://documentation-stage.bne.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/5/html/Installation_Guide/Disk_Encryption_Guide.html
-(Ryan, could you please verify that this is the correct final link? Thanks!)
Comment 11 Andrew Ross 2009-11-23 20:28:08 EST
Verified link in comment #10

Note You need to log in before you can comment on or make changes to this bug.